# Changelog

## 2024-10-06 - 1.3.2 - fix(core)
Fix TypeScript type definition for route match function

- Updated the type definition for the matchFunction in the SmartRouter class to include a generic parameter.

## 2024-10-06 - 1.3.1 - fix(dependencies)
Updated dependencies to latest versions, resolving compatibility issues and improving performance.

- Updated devDependencies to their latest versions, including tsbuild, tsbundle, tstest, tapbundle, and @types/node
- Updated dependencies to latest versions of lik, smartrx, and path-to-regexp

## 2024-10-06 - 1.3.0 - feat(smartrouter)
Add destroy method to SmartRouter class.

- Introduced a destroy method to the SmartRouter class for cleaning up event listeners and route references.
- Refactored popstate event listener to be removable, improving resource management and preventing memory leaks.

## 2024-10-06 - 1.2.1 - fix(core)
Ensure stability and performance improvements

- Improves platform compatibility for modern web applications.
- Enhances stability of the routing logic within SmartRouter class.

## 2024-10-06 - 1.2.0 - feat(core)
Add support for base paths and sub-routers.

- Added basePath feature to SmartRouter for handling base paths.
- Introduced createSubRouter method to create a sub-router with a specific prefix.

## 2024-10-06 - 1.1.1 - fix(core)
Remove SelectionDimension functionality

- Removed SelectionDimension class and references
- Deleted smartrouter.classes.selectiondimension.ts and related imports

## 2024-10-06 - 1.1.0 - feat(core)
Add selection dimensions and route removal functionality

- Introduced the SelectionDimension class for managing stateful selections across routes.
- Enhanced SmartRouter with the ability to create and manage selection dimensions.
- Added route removal functionality in SmartRouter using the 'on' method.

## 2024-05-29 - 1.0.17 - Maintenance
Minor updates and maintenance changes to the project's configuration and metadata.

- Updated project description.
- Modified tsconfig settings.
- Updated npmextra.json for the githost setting.

## 2023-09-11 to 2023-04-11 - 1.0.16 - Fixes and Organizational Improvements
A series of minor bug fixes and organizational updates.

- Fixed core component issues.
- Switched to a new organizational scheme.

## 2023-03-18 to 2022-12-31 - 1.0.13 to 1.0.15 - Bug Fixes
Regular fixes to address bugs in the core.

- Recurring fixes in core components across versions.

## 2022-01-22 to 2021-09-08 - 1.0.11 to 1.0.12 - Stability Enhancements
Enhancements aimed at improving stability with core updates.

- Core stability improvements and updates.

## 2021-09-08 to 2020-11-30 - 1.0.5 to 1.0.10 - Regular Updates
Ongoing updates focused on the core's functionality.

- Multiple core updates to ensure optimal performance.

## 2020-11-30 to 2020-06-01 - 1.0.1 to 1.0.4 - Initial Fixes
Initial series of fixes and updates following project kickoff.

- Addressed initial core component issues.

